const { Builder } = require('selenium-webdriver'),
  chrome = require('selenium-webdriver/chrome.js'),
  { expect, it } = require('@jest/globals'),
  chromeOptions = new chrome.Options();

let driver;

chromeOptions.addArguments('--headless', '--disable-gpu', '--no-sandbox');

beforeAll(async () => {
  driver = new Builder().forBrowser('chrome').setChromeOptions(chromeOptions).build();
});

it('loads the page', async () => {
  await driver.get("http://localhost:3005");

  expect(await driver.getTitle()).toEqual('Infantry Combat Solo Basic');
});
